$1   PROCEDURE [dbo].[CARI_STOK_DETAYLI_ALIS]
@aktif_kullanici varchar(25),
@baslangic_tarih dateTime,
@bitis_tarih datetime,
@cari_kod varchar(25)
AS
-- ==========================================================================================
-- Evrak Tipleri:	--1:FİŞ 2:SATIŞ FAT 3:İADE 4:FİŞ IPTAL  5:ALIŞ FATURASI 
--			          6:TAHSİLAT MAKBUZU 7:TEDIYE MAKBUZU 8:FATURA IPTAL 9:DEPO SEVK 10:ALIŞ IADE 
--				     11:CARI BORÇ DEKONTU 12:SAYIM EVRAĞI 13:DEPO GİRİŞ 14:DEPO ÇIKIŞ
-- ==========================================================================================
SELECT
*,
T.[AlisMiktar]-T.[IadeMiktar] AS ToplamMiktar,
T.[AlisTutar]-T.[IadeTutar] AS ToplamTutar
FROM (
SELECT
	sto_kod StokKod,
	sto_isim StokIsim,
	SUM(CASE WHEN evr_belge_tur =10 THEN har_miktar ELSE 0 END) as IadeMiktar,
	SUM(CASE WHEN evr_belge_tur =10 THEN har_yekun ELSE 0 END) as IadeTutar,
	SUM(CASE WHEN evr_belge_tur in (5) THEN har_miktar ELSE 0 END) as AlisMiktar,
	SUM(CASE WHEN evr_belge_tur in (5) THEN har_yekun ELSE 0 END) as AlisTutar
FROM EVRAK_HAREKET_BILGI WITH(NOLOCK)
LEFT OUTER JOIN STOKLAR WITH(NOLOCK) ON har_stok_kodu=sto_kod
INNER JOIN EVRAK_UST_BILGI WITH(NOLOCK) ON har_evrak_rec_id=evr_RECno
WHERE  
		CONVERT(DATE,@baslangic_tarih)<=CONVERT(DATE,evr_evrak_tarih) and CONVERT(DATE,evr_evrak_tarih)<=CONVERT(DATE,@bitis_tarih) and har_Satir_tip=0
		AND evr_cari_kod=@cari_kod
		AND (evr_magaza_kod=dbo.fn_AktifKullaniciMagazaGetir(@aktif_kullanici) OR @aktif_kullanici=0)
GROUP BY sto_kod,sto_isim,evr_cari_kod
)T
ORDER BY  [AlisMiktar] desc, [AlisTutar] desc